Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 822966 - net-wireless/gnuradio-3.8.4.0 fails to emerge with "/usr/include/codec2/freedv_api.h:148: Error: Syntax error in input(1)."
Summary: net-wireless/gnuradio-3.8.4.0 fails to emerge with "/usr/include/codec2/freed...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-10 18:28 UTC by Willard Dawson
Modified: 2021-12-01 17:27 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log.txt.bz2,35.06 KB, application/x-bzip)
2021-11-10 18:29 UTC, Willard Dawson
Details
emerge --info (emerge-info.txt,20.55 KB, text/plain)
2021-11-10 18:29 UTC, Willard Dawson
Details
emerge -pqv (emerge-pqv.txt,283 bytes, text/plain)
2021-11-10 18:29 UTC, Willard Dawson
Details
environment (environment.txt,138.85 KB, text/plain)
2021-11-10 18:30 UTC, Willard Dawson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Willard Dawson 2021-11-10 18:28:01 UTC
Relevant files attached. Here's the end of the build log:

[1011/1059] cd /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig && /usr/bin/cmake -E make_directory /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig/CMakeFiles/vocoder_swig.dir && /usr/bin/cmake -E env SWIG_LIB=/usr/share/swig/4.0.2 /usr/bin/swig -python -fvirtual -keyword -w511 -w314 -relativeimport -py3 -module vocoder_swig -DLIBCODEC2_FOUND -DLIBCODEC2_HAS_FREEDV_API -DLIBGSM_FOUND -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/usr/include/python3.9 -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/pmt/../../include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/lib/../include -I/usr/include/codec2 -I/usr/include/gsm -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/usr/include/python3.9 -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/pmt/../../include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/lib/../include -I/usr/include/codec2 -I/usr/include/gsm -outdir /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig -c++ -o /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig/CMakeFiles/vocoder_swig.dir/vocoder_swigPYTHON_wrap.cxx /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/swig/vocoder_swig.i
[31mFAILED: [0mgr-vocoder/swig/CMakeFiles/vocoder_swig.dir/vocoder_swigPYTHON_wrap.cxx gr-vocoder/swig/vocoder_swig.py 
cd /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig && /usr/bin/cmake -E make_directory /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig/CMakeFiles/vocoder_swig.dir && /usr/bin/cmake -E env SWIG_LIB=/usr/share/swig/4.0.2 /usr/bin/swig -python -fvirtual -keyword -w511 -w314 -relativeimport -py3 -module vocoder_swig -DLIBCODEC2_FOUND -DLIBCODEC2_HAS_FREEDV_API -DLIBGSM_FOUND -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/usr/include/python3.9 -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/pmt/../../include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/lib/../include -I/usr/include/codec2 -I/usr/include/gsm -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/swig -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/swig -I/usr/include/python3.9 -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gnuradio-runtime/lib/../include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gnuradio-runtime/lib/pmt/../../include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/lib/../include -I/usr/include/codec2 -I/usr/include/gsm -outdir /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig -c++ -o /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0_build/gr-vocoder/swig/CMakeFiles/vocoder_swig.dir/vocoder_swigPYTHON_wrap.cxx /var/tmp/portage/net-wireless/gnuradio-3.8.4.0/work/gnuradio-3.8.4.0/gr-vocoder/swig/vocoder_swig.i
/usr/include/codec2/freedv_api.h:148: Error: Syntax error in input(1).
ninja: build stopped: subcommand failed.
 * ERROR: net-wireless/gnuradio-3.8.4.0::gentoo failed (compile phase):
 *   ninja -v -j1 -l0 failed

Reproducible: Always
Comment 1 Willard Dawson 2021-11-10 18:29:24 UTC
Created attachment 750219 [details]
Build log
Comment 2 Willard Dawson 2021-11-10 18:29:39 UTC
Created attachment 750222 [details]
emerge --info
Comment 3 Willard Dawson 2021-11-10 18:29:54 UTC
Created attachment 750225 [details]
emerge -pqv
Comment 4 Willard Dawson 2021-11-10 18:30:08 UTC
Created attachment 750228 [details]
environment
Comment 5 Bogdan 2021-11-30 09:02:47 UTC
confirm.

Compilation fails with "vocoder" use flag.
Comment 6 Larry the Git Cow gentoo-dev 2021-12-01 17:27:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d51c6ab80708422dddd6ba7773f48e601c47238

commit 2d51c6ab80708422dddd6ba7773f48e601c47238
Author:     Huang Rui <vowstar@gmail.com>
AuthorDate: 2021-10-20 03:48:09 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-01 17:27:06 +0000

    media-libs/codec2: fix freedv_callback_rx_sym typedef
    
    Fix net-wireless/gnuradio (USE=vocoder)
    Patch from https://github.com/drowe67/codec2/pull/235
    Backport to codec2-1.0.1
    
    Closes: https://bugs.gentoo.org/822966
    Closes: https://bugs.gentoo.org/816453
    Package-Manager: Portage-3.0.28, Repoman-3.0.3
    Signed-off-by: Huang Rui <vowstar@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/22639
    Signed-off-by: Sam James <sam@gentoo.org>

 ...{codec2-1.0.1.ebuild => codec2-1.0.1-r1.ebuild} |  3 +-
 .../files/codec2-1.0.1-fix-freedv-callback.patch   | 48 ++++++++++++++++++++++
 2 files changed, 50 insertions(+), 1 deletion(-)